cvs: error_scm_not_found

2011-07-01 12:34 - Boris Cumbrera

Status: New Start date: 2011-07-01

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.1.1

Description

Hello,

I am trying to use cvs with redmine and I have the same error: error_scm_not_found when I try to open the repository menu,

To do that I configure cvs like

:pserver:usario:password@ip:port/path/to/parent/cvsroot/folder

module name: module on cvs

then I run : rake redmine:fetch_changesets RAILS_ENV=production

and I get:

-f rlog: Logging vfes

-f rlog: Logging vfes/.gwt

-f rlog: Logging vfes/.gwt/.tmp

-f rlog: Logging vfes/.gwt/.tmp/shell

-f rlog: Logging vfes/.gwt/.tmp/shell/com.alu.ndio.vfes.Vfes

-f rlog: Logging vfes/.gwt/.tmp/shell/com.alu.ndio.vfes.Vfes/rpcPolicyManifest

-f rlog: Logging vfes/.gwt/.tmp/shell/com.alu.ndio.vfes.Vfes/rpcPolicyManifest/

anifests

-f rlog: Logging vfes/.settings

-f rlog: Logging vfes/images_old

-f rlog: Logging vfes/logs

-f rlog: Logging vfes/properties

-f rlog: Logging vfes/src

-f rlog: Logging vfes/src/com

-f rlog: Logging vfes/src/com/alu

-f rlog: Logging vfes/src/com/alu/ndio

-f rlog: Logging vfes/src/com/alu/ndio/vfes

-f rlog: Logging vfes/src/com/alu/ndio/vfes/client

-f rlog: Logging vfes/src/com/alu/ndio/vfes/client/composites

-f rlog: Logging vfes/src/com/alu/ndio/vfes/client/composites/GE

-f rlog: Logging vfes/src/com/alu/ndio/vfes/client/composites/pathchk

-f rlog: Logging vfes/src/com/alu/ndio/vfes/client/composites/transmision

-f rlog: Logging vfes/src/com/alu/ndio/vfes/client/composites/transmision/plo

But When I try to use open the repository view in redmine I have the error 404 error_scm_not_found

What can I do?

Regards

Boris

History

#1 - 2011-07-01 12:48 - Toshi MARUYAMA

- Subject changed from error_scm_not_found to cvs: error_scm_not_found

#2 - 2011-07-01 17:30 - Etienne Massip
What's in production.log ?

#3 - 2011-07-04 08:27 - Boris Cumbrera

Steps that you can see bellow:

With admin account:

- Go to repository option in a project.

- Introduce the information for this repository.

- Logout as admin

Login as normal user

- Go to project, repository option

- And error.

Processing ProjectsController#settings (for 159.23.213.75 at 2011-07-04 08:13:00) [GET]

Parameters: {"action"=>"settings", "id"=>"pathchk", "controller"=>"projects", "tab"=>"repository"}

Rendering template within layouts/base

Rendering projects/settings

Completed in 344ms (View: 328, DB: 16) | 200 OK [http://159.23.31.141/projects/pathchk/settings/repository]    

Processing RepositoriesController#edit (for 159.23.213.75 at 2011-07-04 08:13:04) [GET]

Parameters: {"action"=>"edit", "authenticity_token"=>"ue2zhjOftC/fZXJ6Ir7NsfNqB87zTrdTRW1ME7Fy+XU=", "id"=>"pathchk",

"controller"=>"repositories", "repository_scm"=>"Cvs"}

Completed in 62ms (View: 47, DB: 16) | 200 OK [

http://159.23.31.141/projects/pathchk/repository/edit?authenticity_token=ue2zhjOftC%2FfZXJ6Ir7NsfNqB87zTrdTRW1ME7Fy%2BXU%3D&authentici

ty_token=ue2zhjOftC%2FfZXJ6Ir7NsfNqB87zTrdTRW1ME7Fy%2BXU%3D&repository_scm=Cvs]

Processing RepositoriesController#edit (for 159.23.213.75 at 2011-07-04 08:13:13) [POST]

Parameters: {"repository"=>{"url"=>"vfes", "root_url"=>":pserver:*user*:*password*@159.23.31.235:*port*/h/cvs"}, "commit"=>"Crear",

"action"=>"edit", "authenticity_token"=>"ue2zhjOftC/fZXJ6Ir7NsfNqB87zTrdTRW1ME7Fy+XU=", "id"=>"pathchk", "controller"=>"repositories",

"repository_scm"=>"Cvs"}

Completed in 94ms (View: 31, DB: 47) | 200 OK [http://159.23.31.141/projects/pathchk/repository/edit]

Processing RepositoriesController#committers (for 159.23.213.75 at 2011-07-04 08:14:40) [GET]

Parameters: {"action"=>"committers", "id"=>"pathchk", "path"=>[], "controller"=>"repositories"}

Rendering template within layouts/base

Rendering repositories/committers

Completed in 78ms (View: 62, DB: 0) | 200 OK [http://159.23.31.141/projects/pathchk/repository/committers]

Processing AccountController#logout (for 159.23.213.75 at 2011-07-04 08:17:08) [GET]

Parameters: {"action"=>"logout", "controller"=>"account"}

Redirected to http://159.23.31.141/

Completed in 16ms (DB: 0) | 302 Found [http://159.23.31.141/logout]

Processing WelcomeController#index (for 159.23.213.75 at 2011-07-04 08:17:08) [GET]

Parameters: {"action"=>"index", "controller"=>"welcome"}

Rendering template within layouts/base

Rendering welcome/index

Completed in 62ms (View: 47, DB: 0) | 200 OK [http://159.23.31.141/]

Processing AccountController#login (for 159.23.213.75 at 2011-07-04 08:17:11) [GET]

Parameters: {"action"=>"login", "controller"=>"account"}

Rendering template within layouts/base

Rendering account/login

Completed in 16ms (View: 16, DB: 0) | 200 OK [http://159.23.31.141/login]

Processing AccountController#login (for 159.23.213.75 at 2011-07-04 08:17:17) [POST]

Parameters: {"back_url"=>"http%3A%2F%2F159.23.31.141%2F", "action"=>"login",

"authenticity_token"=>"v2LKf/+KsBexgnDChPfRCwgU4/NtPGoi3OAnV+9jowo=", "username"=>"boris", "controller"=>"account",

"password"=>"[FILTERED]", "login"=>"ConexiÃ³n Â»"}

Redirected to http://159.23.31.141/

Completed in 31ms (DB: 31) | 302 Found [http://159.23.31.141/login]

Processing WelcomeController#index (for 159.23.213.75 at 2011-07-04 08:17:17) [GET]

Parameters: {"action"=>"index", "controller"=>"welcome"}

Rendering template within layouts/base

Rendering welcome/index

Completed in 141ms (View: 94, DB: 0) | 200 OK [http://159.23.31.141/]

Processing ProjectsController#index (for 159.23.213.75 at 2011-07-04 08:17:21) [GET]

Parameters: {"action"=>"index", "controller"=>"projects"}

Rendering template within layouts/base

Rendering projects/index

Completed in 125ms (View: 62, DB: 31) | 200 OK [http://159.23.31.141/projects]
Processing ProjectsController#show (for 159.23.213.75 at 2011-07-04 08:17:25) [GET]

Parameters: {"action"=>"show", "id"=>"pathchk", "controller"=>"projects"}

Rendering template within layouts/base

Rendering projects/show

Completed in 188ms (View: 109, DB: 0) | 200 OK [http://159.23.31.141/projects/pathchk]

Processing RepositoriesController#show (for 159.23.213.75 at 2011-07-04 08:17:58) [GET]

Parameters: {"action"=>"show", "id"=>"pathchk", "controller"=>"repositories"}

Rendering template within layouts/base

Rendering common/error (404)

Completed in 25391ms (View: 78, DB: 7438) | 404 Not Found [http://159.23.31.141/projects/pathchk/repository]
